class_name SettingsMenu
extends Panel


@export_group("Graphics Settings Nodes")
@export var resolution_input: OptionButton
@export var fullscreen_input: CheckBox
@export var vsync_input: CheckBox
@export var fov_slider: HSlider
@export var fov_value_label: Label


#region Game Settings
func _on_block_highlighting_toggled(toggled_on: bool) -> void:
	Globals.enable_block_highlight = toggled_on

func _on_enable_waila_toggled(toggled_on: bool) -> void:
	Globals.enable_waila = toggled_on
#endregion

#region Graphics Settings
func _on_fov_slider_changed(value: float) -> void:
	fov_value_label.text = str(int(value))

func _on_graphics_apply_button_pressed() -> void:
	var values: Array = resolution_input.text.split_floats("x")
	Globals.graphics_settings_changed.emit(
		Vector2(int(values[0]), int(values[1])),
		fullscreen_input.button_pressed,
		vsync_input.button_pressed
	)
	Globals.graphics_fov_changed.emit(int(fov_slider.value))
#endregion

#region Audio Settings
#endregion

#region Input Settings
#endregion


func _on_close_button_pressed() -> void:
	SignalManager.resume_game.emit()
